# TODO

"To do" for development of current Dragora.

    - [x] Add libusb-compat.
    - [x] Add the zstd compressor.
    - [x] Add GNU Xorriso (for .iso creation support).
    - [x] Solve SSL support in Python (related to LibreSSL compatibility)
    - [x] Version control systems:
      - [x] Mercurial
      - [x] CVS
      - [x] Fossil
      - [x] RCS
    - [~IN PROGRESS~] Printing support:
      - [ ] gutenprint (requires gimp)
      - [ ] hplip
    - [ ] Scanning support:
      - [x] sane-backends
      - [ ] xsane (needs gimp to be full)
    - [ ] GIMP:
      - [x] json-glib
      - [x] babl
      - [x] gegl
      - [x] glib-networking
      - [x] exiv2, gexiv2
      - [x] mypaint-brushes, libmypaint
    - [x] Add Rust.
    - [x] Upgrade librsvg to latest version (requires Rust).
    - [ ] Bluetooth support.
    - [ ] Complement the Trinity Desktop Environment.
    - [ ] Java, OpenJDK support?.
    - [ ] Free software web browser (GNU IceCat?).
    - [ ] Cryptsetup.
      - [x] Cryptsetup initial support
      - [ ] Solve problems with libssh
      - [ ] Add or provide rc instructions on startup/shutdown
    - [ ] EFI support.
    - [ ] Complement spacefm (plugins, extra support for it).
    - [ ] Qire inclusion in Dragora.
    - [x] Complement wget/wget2.
    - [x] Add ccache.
    - [ ] Braille support:
      - [x] Liblouis
      - [x] Liblouisutdml
      - [ ] Check 'antiword'
      - [ ] Check 'docx2txt'
      - [ ] Check 'brltty'
